using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections.Specialized;
using System.Diagnostics;

using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Windows.Forms;
using Syncfusion.Grouping;
using Syncfusion.Drawing;
using Syncfusion.Styles;

namespace GGC_Sample2005
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      
      this.gridGroupingControl1.TableOptions.ListBoxSelectionMode = SelectionMode.One;
      this.gridGroupingControl1.TableOptions.GridVisualStyles = GridVisualStyles.Office2007Black;
     
    }

      private void Form1_Load(object sender, EventArgs e)
      {

          //get the tables
          DataTable parentTable = GetParentTable();
         
          // hierarchyGrid grid with hierarchical view
          this.gridGroupingControl1.DataSource = parentTable;

          this.gridGroupingControl1.QueryCellStyleInfo += new GridTableCellStyleInfoEventHandler(gridGroupingControl1_QueryCellStyleInfo);

          this.gridGroupingControl1.TableDescriptor.Columns["ColorColName"].Appearance.AnyRecordFieldCell.CellType = "ColorEdit";
          this.gridGroupingControl1.TableDescriptor.Columns["ColorColName"].Appearance.AnyRecordFieldCell.ShowButtons = GridShowButtons.Hide;  
      }

      void gridGroupingControl1_QueryCellStyleInfo(object sender, GridTableCellStyleInfoEventArgs e)
      {
          if (e.TableCellIdentity.Column != null && e.TableCellIdentity.Column.Name == "ColorColName")
          {   
              
          }
      }
      private int parentRows = 10;
      
     
      private DataTable GetParentTable()
      {
          DataTable dt = new DataTable("ParentTable");

          dt.Columns.Add(new DataColumn("parentID")); //lower case p
          dt.Columns.Add(new DataColumn("ParentName"));
          dt.Columns.Add(new DataColumn("ColorColName",typeof(Color) ));

          for (int i = 0; i < parentRows; ++i)
          {
              DataRow dr = dt.NewRow();
              dr[0] = i.ToString();
              dr[1] = string.Format("parentName{0}", i);
              dt.Rows.Add(dr);
          }

          return dt;
      }
      private Random r = new Random();

      private void button1_Click(object sender, EventArgs e)
      {
          foreach (Record rec in this.gridGroupingControl1.Table.Records)
          {
              rec.SetValue("ColorColName", Color.RoyalBlue);  
          }
      }
     
  }

}